4 Replies Latest reply: Sep 6, 2011 1:07 PM by 498387 RSS

    Installation problem: Update Tool Bootstrap not configured

    872495
      I installed Java EE 6 SDK on Windows. The Summary window states an "Incomplete" Overall Status and the Update Tool Bootstrap status is "Not Configured".
      As a result the update tool does not work.

      Running updatetool in the glassfish3/bin-folder from the command line does not help: "Unrecognised execption: no matching package for: pkg-toolkit-incorporation".

      I am just trying to get this to work to enable me to get a hold of the EE 6 Tutorial Component. Failing to get the Update Tool to work, would there be any other way to obtain this?

      Thanks!
        • 1. Re: Installation problem: Update Tool Bootstrap not configured
          872505
          same for me on ubuntu linux

          - installation summary states incomplete
          - running updatetool the first time produces

          Would you like to install Update Tool now (y/n):
          Proxy: Using system proxy settings.
          Install image: /opt/software/glassfish3
          Installing pkg packages.
          Unrecognized exception: no matching package for: pkg-toolkit-incorporation
          java.lang.IllegalArgumentException: no matching package for: pkg-toolkit-incorporation
               at com.sun.pkg.client.Image.makeInstallPlan(Image.java:1690)
               at com.sun.pkg.client.Image.installPackages(Image.java:1843)
               at com.sun.pkg.client.Image.installPackages(Image.java:1820)
               at com.sun.pkg.bootstrap.Bootstrap._main(Bootstrap.java:235)
               at com.sun.pkg.bootstrap.Bootstrap._main(Bootstrap.java:160)
               at com.sun.pkg.bootstrap.Bootstrap.main(Bootstrap.java:110)


          PS:

          I was also trying to install the EE 6 Tutorial Component


          Luc
          • 2. Re: Installation problem: Update Tool Bootstrap not configured
            872495
            Hi Luc, I was able to install the update tool today. There was a server outage at Oracle over the past 2 days, I assume this was the reason; unable to contact the update servers.
            Hopefully this will sort you out as well now.

            Renaat

            Edited by: 869492 on 01-Jul-2011 00:04
            • 3. Re: Installation problem: Update Tool Bootstrap not configured
              876842
              Were you able to get this working? I'm getting the exact same results as you. I also found a post/fix #8395 at http://java.sun.com/javaee/sdk/javaee6sdkpreview_relnotes.jsp, but the manual run of the updatetool also fails with:

              Input/output error: Connection timed out: connect

              Could not download application packages. This could be because:
              - a proxy server is needed to access the internet. Please ensure that
              the system proxy server settings in your Internet Options control panel
              (under Connections:LAN Settings) are correct, or set the HTTP_PROXY
              environment variable to the full URL of the proxy server.
              - the package server is down or otherwise inaccessible or it is
              generating invalid data. Please contact the provider of the package
              server.
              • 4. Re: Installation problem: Update Tool Bootstrap not configured
                498387
                I had the same issue. I found that I had previous versions of java installed. It was using Java 5 vs Java 7. I removed the previous versions and was able to run the updatetool from command line under glassfish installationas described in http://java.sun.com/javaee/sdk/javaee6sdkpreview_relnotes.jsp. I do not however see the Java 6 SEE menu item in my start menu but running update tool from command line does launch the update tool.

                Hope this helps.